## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.16.0
%bcond check 1

# https://github.com/jfrog/jfrog-cli
%global goipath         github.com/jfrog/jfrog-cli
Version:                2.77.0

%gometa -L -f

%global common_description %{expand:
JFrog CLI is a client that provides a simple interface that automates access to
the JFrog products.}

Name:           jfrog-cli
Release:        %autorelease
Summary:        JFrog CLI is a client that provides a simple interface that automates access to the JFrog products

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND LicenseRef-Fedora-Public-Domain AND MIT AND MPL-2.0 AND Unlicense
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml
# fix "non-constant format string in call to fmt.Fprintf" errors
Patch0:         %{name}-format-string.patch

BuildRequires:  go-vendor-tools

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1
# these tests require access to Artifactory instance
rm -v \
  access_test.go \
  artifactory_test.go \
  buildinfo_test.go \
  distribution_test.go \
  docker_test.go \
  go_test.go \
  gradle_test.go \
  lifecycle_test.go \
  main_test.go \
  maven_test.go \
  npm_test.go \
  nuget_test.go \
  pipenv_test.go \
  pip_test.go \
  plugins_test.go \
  transfer_test.go \

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
%gobuild -o %{gobuilddir}/bin/jfrog-cli %{goipath}

%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
%gocheck
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc docs CONTRIBUTING.md README.md RELEASE.md
%doc documentation/CLI-for-JFrog-Cloud-Transfer.md
%doc documentation/CLI-for-JFrog-Curation.md
%doc documentation/CLI-for-JFrog-Distribution.md
%doc documentation/CLI-for-JFrog-Lifecycle.md
%doc documentation/CLI-for-JFrog-Mission-Control.md
%doc documentation/CLI-for-JFrog-Pipelines.md
%doc documentation/CLI-for-JFrog-Xray.md documentation/JFrog-CLI.md
%doc guides/getting-started-with-jfrog-using-the-cli.md
%doc guides/jfrog-cli-plugins-developer-guide.md
%{_bindir}/jfrog-cli

%changelog
## START: Generated by rpmautospec
* Tue Jul 08 2025 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 2.77.0-1
- initial package
## END: Generated by rpmautospec
